# emojify-webpack-plugin [![npm version](https://img.shields.io/npm/v/emojify-webpack-plugin.svg)](https://www.npmjs.com/package/emojify-webpack-plugin)
This plugin will transform your code into emoji ready to be shipped to production. It's as simple as that. 

## Installation
Installation can be done through yarn or npm
```sh
yarn add --dev emojify-webpack-plugin
# or alternativly
npm install --save-dev emojify-webpack-plugin
```

The plugin can be activated by simply adding it to your plugin chain. For best results minify your code first.

```js
var EmojifyPlugin = require('emojify-webpack-plugin');

{
  plugins: [
    new webpack.optimize.UglifyJsPlugin({
      include: /\.js($|\?)/i,
      minimize: true,
    }),

    new EmojifyPlugin(),
  ]
}
```

## Example
A `manifest.js` file from a random project built using the emojify plugin.

```js
eval((function unpack(n,e){var t=0,r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".split("");return n=n.replace(/../g,function(n){var o=e.findIndex(function(e){return e===n}),u=r[(o-t)%r.length];return t=(t+3)%(e.length-r.length),u}),"undefined"!=typeof atob?decodeURIComponent(escape(atob(n))):new Buffer(n,"base64").toString("utf-8")})(
"👭😚🏹📙🎄🐞🏹👤😧🌳🙆📉🏥🚩📙🍿🎌👍📉🎐👇🚗📉👺🎰🌫🏏💽🌱🐜🚥😘💬😘🏏💣🐒😘💡🐇🏯🎠🚳🚀🍻🐂🎹🚰📯🎆📶🍨🍑📫📻📫📫🏬💉🐎🍟🍷👈🍣👣🍍📒📣📊🌮🐎🍗🐫🎢🐘👌🐼🚊😋📭🍯📲😹🎷👀😤🍈💯🌼💠💜🐅💇🐸🐅🚢😢😶🚐🚕🌺📦👰💊😿💠🍄🏨🏫🏁👃🎿🏡🌤🏎🐀🐨🐀🐣🌤📳🐮🐋🏤🏋🐥🍄📂🐀🏽🏋💅🚛👶📘🚖🙀🚑🎮🙂😳📟📵🚘🎮🏽🌦💫💝😗💮👨💮🚮📏🎪🌥🌸👁🙋💤🍖🎣📁🐐😒🍓💃🍓🤔🌷💙🎋🏊📙💗🍊💂🙎😧📑😚🎏🐬🍶👤🤓🌫🐚🐞🏓💾📥🙎🎏🎥🌫👛📉💽📅🐶👯🏀👺🏯🎨👆👾🐔🚳🚞💽😾🚣🍦📋🎆🎨🎆💣📫🚰😩🚒💧💉🍏💛🎆📕🏺🍍🍷📢🏟📕🌮👣👈🍡🍢🐎👈🌨🏟💀🐼🚯🚈🎞📭😹🏩🚄🏩😹🐺🚈🍈🍅👳🚈💠🚐🚠💥👰🌼🌼💜🎈👙🐕🌿🚕🐆🏁😥👐🐄💈🏁🌲🍝📌💄🎿🍺🏚🐮🐲💳🌪🏞🍲🍄💈💩🚖👔🏙🙀🎒🚛📚💸🍮📂🎮💅📟🚵📓🎵🎯👫👫💴👹🎯🍇🍭🌹📤🎦😜👨🏷🎼🏷😒🎦💆🎋📁🎊🎪📄🐙📏👢🎊🏒🌸📠📄🚩🐽🏥💘🙎👘👤🐧🤑🤒💔📉🐻🎱🌶🐶🌫🎏👤👯👍🙆👏🐈💦📨🎰🐒😘🚌📞🏸💢🎠🚍🏏🍦👏👺🍻📶🎃😘🙁🍽🍻🍐🚣😦🏻🏻📶💧🚳🍍📶💉📒🐫🐦🏺🎫👡🐎🎬🏟👝🏠🐌📊🎟🐎📊🌴📖🎇🐌🚔🐺🚄📆🍵👮🏠🙅📰📖🎤🍾😤🏩💶💠🎸📆🚐🍞💠🐸🏁💥🐸😛💄🐤🌬🐏💄🏚💄🏫🐄🎂🌲🎂😖💍🏡🐥👅🐛👔🏉🍲📡🏙🍱🚛🙀😖😖👋👿🍩👫🏔🍸💅🍰💺🚮🙀🚮🎵💌💺🙊📐🎁🏷🐩🌧🌧🎣🚮🏐🐐🌧🙈🍓💑🤔🎼📏😒👞🚃🏒💚😒📀🏒👢🎾🏢🍶📩🎄🐻🎾💼🏑🎌🙇🚙😧👯🐧👍🐯🐁🏓🚗📥📥📈🏂🚗🚙🎐👑📍🚍🐒🍥💦👺🎥😎🎨📞👆🏾💲🍦💡🎅😾📺🐑💛📶🏮👲🚅🍑📫🐑👝📫👡🐑💀👄🍳💨🚯🍨🚯💀🎟📊🎬💨🚊🙍👬🍠📰📢🍼🌼🚐👮🌼🏌😻🍗🙌🍈👙📗👳👰🍈📗👳😻🌬📃🚢😻🐕🎩😶🐳👐💯💠🌬🐨🏚📷👐💩🐣🌪👐🐲🐏📌📘🍲😴🐮🐏🐥🍂😖📡🍰🏎🍁🏪🌦📓💅🏞🏔🙀🚘💅🍭🍇👿📵👹🎺📟🎣💫🍔🎯🚘🙋📵🌧📵🎪🌥📟🏐😔🏍🎼🏍📏🐐🐵🍓🚪👁📔👁💹🎉🚪🐹🚩📑🍪😧🐬🌳💼🏹📉📹🙉👯🚌💪📜😟🐶📉🎌💦🐔🐬🐶🎥💡🏅🚧🎐💽🚌🚗💞🏏🐔📞📶👑🎠👑🍽🏮🍻📯🍻💛🏝👆📶📒🚒🍐💉💨🍽📯🚀💒🍟🚶😦🏟🌰🎫👒🏇🍉💧💉🌴🎬🍼👓🍗📊🍡🍧🎷👩🍢📰🚈🐼🍢🚈🎸📰🚓📃💜🚠📖🏁📃🌼🙅🎩🎈💶🍺🐄👃🐅🍛🐳🏨🐄🌪🐣💊😿🌬🌬🍂🌵🐮🌵💩🍜😓🐣🚑👅😓🙀💻🚇💻🚖🍤📂🚑💅👿📚👋🎮🏷👗🏽🚖🚘👧🎯🏔🎼🎯🚘🏔🌥👂🏆🍓🌧🏿😊📐🎼👨😊📄🐝🙋🙋🏍😒💤🎪👁😪🐱👚👁🐞😝🍪💪🤓🎾😚👦🙎🍫📥🐧💕😧🙎🎰🐶🙎👛😟📨🐯🐯🍿😽🏦🚧💾🚍🚧😽💾😯🏂🎐📈🍥💬📋🎆🚒🐂🏮🎨🐑💢📞💞🍨🎹🍳🎹🚅🚞🚞📶💉📒🍡🙍👣🚅🎬🐍🚶🏟🍧💀👒📊📲🙍👌🐘📖🏖🍵🏠🍵🍅📗🏌👮💿🙅🎞🍙💶😤🏩😤🎩🌬😢🎈👃🍞👙👷🌿🐨😼🎩👐💊🌬🐮🐅🏚💄🏫🚕🚚🌲📷🌿🏋🚤🍝🌤💅📳📌👗🐛🚇🏉🙀💅📘🍮👋💸🍁🙂👴🏆🍀👶💮📝🏪🍇🏪🎵🚮🐊🏔😳🍭💝📐🍖🚉🍓🏐😜🐢🎁🌧🌸🍎🏊🏐🐝🐐🌸🚜🐱🚜🐵🐪🎧📸🏢🤒📙🏘👱🍊🎲🎶🙇💗🎌💼💼📨🌫🤓📪💱🏅📥📥💪👺🌫😟📨👕👛👛😯🐷📈💡🚝📞🌭🏀💽📋🏝👥🏾💁👥🚍🚥😣😾🍍🎆📒💒😎📒🎫🍐🎅🍣💨💧🍳🍏🐌🏟📫🏠👈🏺🐫😋🌮💐🐺😋👓🏌🏌😋📆📣📖💿😢😹🏩🎞👳📛🎸🚈📇👳😢🚐🚕🍚🍛📃🐕😶🎈🐓💊👙🐕🐳🐏👖💊👖🍜🏡🍝🏋💳🐣🌲🐓🚇🏨🐮💩📘🏉📷📘🎭🐥🐥🏪🐊🍁😨🐩🐩🌻🍇🍰🎯👗🍀🙃🚫🎺📟🍸🎵👫😗💌🐢💆🤔📵😊💆🙄💴📔🌹🌸🏐🏐🌸🚜🍓🏒🙋🎪💑🐟📄💎🤓📹🎻🍪💖💼📩🍃🚴🎏🍌📥🐯📥👤🤑🏅🏦💔🌫🐯🎥😟👍💲👕🐶😘😟👑👺🚗💾🐂🐷👾🐖🏕🙁😾🐒🚷🍥🏮🚀🍽🏀🍐💞🐦🏕🍳🍟📎🏬🎆🐍🍏👄🚶😸😋🎫📫😸🐘🎫🏌💨💐🚂📻🐎👌🌴🐫👬📭🚯👌👒🎀🎳📰🎀📗🎞📲👮👰👀🍈📃🌽🚐💜🎸🐭🍈🐆💯🚤💯🍛🏁💊🍞🎩🎩🌪🐭📳🐨🐲😴🍂🍄📳🎂😖📘👔😓👔🎭🌻🏃🚑💸👗🌻🚵🐀👂🎒🚵📘💺🍩🍁🎭😗👧🚉🏔🎼🏆🍇📵🙄🙊🙊💑🙋🏿🎯🐾🏐🎣🙃😗🍴🤔💤💤🏒🙋🐪🍓🚬🍆📏🐱💗🏹🙉💘🙎🏘🍃🚴💪🐞🐧🍶👇💱🎰🐧🎐🚙👤🐈🏂🙆👍🏸👏📜🚗🎰🚥🌭👕😯💡🏓📼🏓🐇👑👺🏏📶🏯💲😯🏻🍦👥🚰🏭😾😾🍽😸🚳📯🚀🐫🐑🏭🎟🐎💨🍨👈🐫🍏😱👌👒📊🙌🍠🍵🙍🍡🏖👓👌🏌📗🚈🐺🍵😻📛🚓🚊🚄🚲💿🙅😻😼🎸💜🐅💥📱🐆📃🏚👷🐰🏡🐰😛👃🐏🌲👐💊🎿📌👐💊🏨😨🍄😓🏨🍱💍📳👗🏤💩🏙😨🍀📚🍁💸🍇👋🎭🏪🏔📡👫🍭🏆🍇🚵🎵📵🐊🎮💴🎦💮🎦💺🐢🚉🚉🎵🌸📵🤔🌥🚜🎪🏊🎋🐱🌸🐐🐾😲🍴🌷🍓💙👟👦📸🙎💖🏢👎🤑🏑💼📉🌱🚦🐜💾🙆👤📪🙆📴📪🍿🎏🚌📴🐔💽🚝🎰👺👯🙁🏅👍📈🚣🚍😘📶💞🏝👥💲🏾😩📼😾📒📋😎🏀📫🏭🎫🐑👝😣🐍🚰🍧🎅🍨🍧🚶💉🍡🍯🐘💉🍡😋📲👈🍢😋📖🏌🍹💿🎇🚯🌴📲🎸🏖🍈🎇🌼😤👳🎞💶📗👳😢💶🚠🚢😼💄💶🏧🐳🚕😿🐳🏨😴🐕🏁🌿🌪🍝🐓🍲👅🌪📌🏞👔📳🌲🍲📚🏋🐥👋💅🐉🏽🏋🍮🍁🐀📡🏔🙀🚵📘🐩👗🏆💸🚘🙂📟💸🙄📐🐩💮🙋💌🎁🎣🚜🌥🎪🎣📔👞🎦👼🍴😜🎁🍴💹🐵🎉👁🎧🎉🚪💘💗🎡🍘🍊🎌🚁🎌🍊🙎💼👦🤓🙆💪🚙💗📨💱🌫🎌👍📴👍🐖🏓🏦🚗👯😘👏👾🐒📞🎃🚥🍦🐇😯🐂🚀🚷😯🐂😩🎅📶🏭😩🍷🚟💁💉🍏🍽🏻🎅👝🍟🎫💉💐😠🍡📕🌴🍡🍣📕🍯📎💉🚈🍯🚯🚊👒👵🚊🎬🚄🏩🎷📆📃📦🍅🐆🎇🎩🍾🍙🚐👰🍈🏩💿🐭📃🏚🐅🌿🐡🐆💶🎂😌🚢🐄🍄🍝👃🐏🐋😴🏉👐🐲👅🍝🏎😨🍄🌪🍮📂🏞🏉🙀🙀🍲🍰😖🎮😑👿💌😳👴🍁🍭📐🏔🚉🐩🌧🚮🙃💮🌥👹💤🚫😜💴🌸💭🤔🚃🎁💑🐙😊🎁🎋👼🎋🐪😒🍆📁😏🎍📩📑💼💪🍃🙉👱📉📙🍌🐻🍶💔🎲💕📉🍿📙👤🏅🎰😟🐶🐖🐔🎰🎃🐒🎥🚌🏏😾👥",
(function generateEmoji(){function n(n,r){return Array.apply(null,{length:r-n}).map(Function.call,Number).map(function(r){return r+n})}var r,t,o,a,e=[].concat(n(127780,127891),n(127902,127984),n(127991,128253),n(128522,128591),n(128640,128696),n(129296,129301)).map(function(n){return String.fromCodePoint(n)}),u=1337;for(o=e.length;o;o--)a=1e4*Math.sin(u++),r=Math.floor((a-Math.floor(a))*o),t=e[o-1],e[o-1]=e[r],e[r]=t;return e})()))
```

# WHY!?
![](https://i.kinja-img.com/gawker-media/image/upload/s--s63D65iO--/c_scale,f_auto,fl_progressive,q_80,w_800/fio6nkh9rdtmio81zt9i.png)
